Update Automation
curl --request PUT \
--url https://api.example.com/automations/{automation_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"current_version": {
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt_template": {
"type": "<string>"
}
}
],
"step_transitions": [
{
"source_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
]
}
}
'import requests
url = "https://api.example.com/automations/{automation_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"current_version": {
"steps": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"prompt_template": { "type": "<string>" }
}
],
"step_transitions": [
{
"source_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_step_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
current_version: {
steps: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
prompt_template: {type: '<string>'}
}
],
step_transitions: [
{
source_step_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_step_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
label: '<string>'
}
]
}
})
};
fetch('https://api.example.com/automations/{automation_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}automations
Update Automation
PUT
/
automations
/
{automation_id}
/
Update Automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Update Automation Automations Automation Id Put · object.
⌘I